Subject: Re: [ANNOUNCE] Example Cogito Addon - cogito-bundle

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Oct 2006 20:46:55 -0700

Linus Torvalds <[email-masked]> writes:

> Actually, I've hit an impasse.
>
> So there's _another_ way of fixing a thin pack: it's to expand the objects 
> without a base into non-delta objects, and keeping the number of objects 
> in the pack the same. But _again_, we don't actually know which ones to 
> expand until it's too late.

pack-objects.c::write_one() makes sure that we write out base
immediately after delta if we haven't written out its base yet,
so I suspect if you buffer one delta you should be Ok, no?